<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class RemoveRecentStickerAction extends \Google\Protobuf\Internal\Message
{
    


    protected $lastStickerSentTs = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getLastStickerSentTs()
    {
        return isset($this->lastStickerSentTs) ? $this->lastStickerSentTs : 0;
    }

    public function hasLastStickerSentTs()
    {
        return isset($this->lastStickerSentTs);
    }

    public function clearLastStickerSentTs()
    {
        unset($this->lastStickerSentTs);
    }

    




    public function setLastStickerSentTs($var)
    {
        GPBUtil::checkInt64($var);
        $this->lastStickerSentTs = $var;

        return $this;
    }

}

